﻿Type=StaticCode
Version=4
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub textsyz (i As Int)
'	Dim ry,rt As Float
'	ry=(GetDeviceLayoutValues.width + GetDeviceLayoutValues.height) / 1500
'	rt=ry / GetDeviceLayoutValues.Scale
'	Return i * rt
	Dim TextScale As Double
	TextScale = GetDeviceLayoutValues.ApproximateScreenSize / 3.5
	Return i * TextScale
	
End Sub

Sub addslashes (s As String) As String
	Dim n As String
	n=s.replace ("'","''")
	n=n.Replace (Chr(34),"''")
	Return n		
End Sub

Sub dobutton (b As Button, s As String)
	b.Color=Main.a200color
	b.TextColor=Main.btntxtcolor
	b.text=s.ToUpperCase
	b.Typeface=Main.tfm
	b.TextSize=textsyz(Main.bodysize1)
End Sub


Sub centerbutton (b As Button)
'	b.Left=(Main.layoutval.width/2)-(b.Width/2)
End Sub

Sub setbackground (b As Button, bb As Button, siz As Int, dist As Int, xkorr As Int, ykorr As Int)
	Dim rad As Int = 44dip
	Dim c As Int = Main.a400color
	bb.color=c
	Dim cd As ColorDrawable
	cd.Initialize (c,rad)
	bb.Background=cd
	
	bb.Left=b.Left-dist+xkorr
	bb.Top=b.Top-dist+ykorr
	bb.Width=siz
	bb.Height=bb.Width
	bb.Visible=True
	' bb.SendToBack
	b.Visible=True
	b.BringToFront
	
	
	
End Sub


Sub dolabel (b As Label, s As String)
	b.Color=Main.lbcolor
	b.TextColor=Main.lbtxtcolor
	' b.Left=(Main.layoutval.width/2)-(b.Width/2)
	b.text=s

	b.Typeface=Main.bodyfont1
	b.TextSize=textsyz(Main.bodysize1)
	
End Sub

Sub doedit (b As EditText)
	b.Color=Main.lbcolor
	b.TextColor=Main.lbtxtcolor
	' b.Left=(Main.layoutval.width/2)-(b.Width/2)
	b.Typeface=Main.bodyfont1
	b.TextSize=textsyz(Main.bodysize1)
End Sub

Sub savefilename (s As String) As String
	Dim t As String
	Dim i As Int
	Dim c As Char
	t=""
	For i=0 To s.Length-1
		c=s.CharAt(i)
		If (Asc(c) >= Asc("a")) AND (Asc(c) <= Asc("z")) Then t = t & c
		If (Asc(c) >= Asc("A")) AND (Asc(c) <= Asc("Z")) Then t = t & c
		If (Asc(c) >= Asc("0")) AND (Asc(c) <= Asc("9")) Then t = t & c
		
	Next
	Return t
End Sub

'Sub saveittodb (nam As String,i As Int)
'	Dim n,s As String
'	n=addslashes(nam)
'	DateTime.dateformat="yyyy-MM-dd"
'	s = "insert into voices values ('" & DateTime.date(DateTime.Now) & "_" & DateTime.Time(DateTime.Now) & "','" & n & "'," & i & ", ?)"
'	Dim InputStream1 As InputStream 
'    InputStream1 = File.OpenInput(File.DirRootExternal, "temp.3gpp")
'    Dim OutputStream1 As OutputStream
'    OutputStream1.InitializeToBytesArray(1000)
'    File.Copy2(InputStream1, OutputStream1)
'    Dim Buffer() As Byte 'declares an empty array
'    Buffer = OutputStream1.ToBytesArray
'	Main.SQL1.BeginTransaction
'    Try 
'    	Main.SQL1.ExecNonQuery2(s, Array As Object(Buffer))
'		 Main.SQL1.TransactionSuccessful
'    Catch
'    	Log(LastException.Message)
'    End Try
'    Main.SQL1.EndTransaction
'End Sub
'
Sub SendMail(SendTo As String, SendBody As String, SendSub As String, SendAtt As String)
   Dim ei As Email
   ei.To.Add(SendTo)
   ei.Body = SendBody
   ei.Subject = SendSub
   If SendAtt <> "" Then
      ei.Attachments.Add(SendAtt)
   End If   
   StartActivity(ei.GetIntent)
End Sub

Sub Wait(MilliSekunden As Int)
   Dim Ti As Long
   Ti = DateTime.Now + MilliSekunden
   Do While DateTime.Now < Ti
      DoEvents
   Loop
End Sub

Sub GetUniqueKey
    Dim r As Reflector
    r.Target = r.RunStaticMethod("java.util.UUID", "randomUUID", Null, Null)
    Return r.RunMethod("toString")
End Sub

Sub GetSDKversion() As String
    Dim versions As Map
    versions.Initialize
    versions.Put(3,"1.5")
    versions.Put(4,"1.6")
    versions.Put(7,"2.1")
    versions.Put(8,"2.2")
    versions.Put(10,"2.3.3")
    versions.Put(11,"3.0")
    versions.Put(12,"3.1")
    versions.Put(13,"3.2")
    versions.Put(14,"4.0")
    versions.Put(15,"4.0.3")
    versions.Put(16,"4.1.2")
    versions.Put(17,"4.2.2")
    versions.Put(18,"4.3")
    versions.Put(19,"4.4")
    Dim p As Phone
    Return versions.Get(p.SdkVersion)
End Sub

Sub FreezeOrientation
    Dim Orient As Int
     Select GetOrientation
        Case 0
            Orient = 1
        Case 1
            Orient = 0
        Case 2
            Orient = 9
        Case 3
            Orient = 8
    End Select
    Main.phon.SetScreenOrientation(Orient)
End Sub


Sub GetOrientation As Int
  Dim r As Reflector
  r.Target = r.GetContext
  r.Target = r.RunMethod2("getSystemService", "window", "java.lang.String")
  r.Target = r.RunMethod("getDefaultDisplay")
  Return r.RunMethod("getRotation")
End Sub

Sub ReleaseOrientation
    Main.phon.SetScreenOrientation(-1)
End Sub

Sub deletefilesbeginningwith (dir As String, mask As String)
	Dim l As List
	l.Initialize
	Dim m As String
	m=mask
	m=m.ToLowerCase
	l.AddAll (File.listfiles(dir))
	Dim i As Int
	Dim t,s,f As String
	
	For i=0 To l.size-1
		t=l.Get(i)
		f=t
		t=t.ToLowerCase
		' Msgbox (t,m)
		Try
			If t.Length > m.Length Then t=t.SubString2 (0,m.Length)
		Catch
			s="deletefilesbeginningwith " & LastException.Message
			
		End Try
		
		If t=m Then
			File.delete (dir,t)
		End If
	Next
End Sub

' xxxx spezifisch für a-tag und die datenbank voice

Sub deletepics (numbr As Int)
	
End Sub

Sub deletetags (pnr As String)
	
	
End Sub

Sub deletepic (pnr As String)
 	
End Sub


